﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace MWTWorkUnitMgmtTool.DataAccess.TableGatewayRepository
{
    public interface IProductionWorkunitRepository
    {
        IEnumerable<IDataRecord> GetAllItems();
        IEnumerable<IDataRecord> GetProductionWorkunitsByBOM(string parentItemCode);
        IEnumerable<IDataRecord> GetProductionWorkunitsByWorkunitCode(string workUnitCode); 
        int AddProductionWorkUnit(string WUCode, string WUName, string itemCode, string itemName, string parentItemCode, string facility);
        int UpdateProductionWorkunit(string wuCode, string wuName, string itemCode, string itemName, string parentItemCode, string facility);
        int DeleteProductionWorkunitByWUCode(string wuCode); 
    }
}
