﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MWTWorkUnitMgmtTool.BusinessEntities;
using System.Data.OleDb;

namespace MWTWorkUnitMgmtTool.Services
{
    public interface IMappingService
    {
        IEnumerable<Mapping> GetMappingsByBOM(string itemCode);
        IEnumerable<Mapping> GetAllMappings();
        Mapping GetMappingsByID(int id);
        int InsertMapping(string workUnitCode, string locationCode, string itemCode);
        int UpdateMapping(string workUnitCode, string locationCode, string itemCode);
        int DeleteMapping(string workUnitCode, string locationCode, string itemCode);
        void UploadMappings(string filePath);
    }
}
