﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using StructureMap;
using MWTWorkUnitMgmtTool.DataAccess.TableGatewayRepository;
using MWTWorkUnitMgmtTool.Services;
using MWTWorkUnitMgmtTool.RulesEngine;

namespace MWTWorkUnitMgmtToolFE
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());
        }

        //public static void InitializeStructureMap()
        //{
        //    ObjectFactory.Initialize(x =>
        //    {
        //        x.For<ITableGatewayRepository>().Use<TableGatewayRepository>();
        //        x.For<IProductionWorkunitRepository>().Use<ProductionWorkunitRepository>();
        //        x.For<IProductionWorkUnitService>().Use<ProductionWorkunitService>();
        //        x.For<ISpecialWorkunitRepository>().Use<SpecialWorkunitRepository>();
        //        x.For<ISpecialWorkunitService>().Use<SpecialWorkunitService>();
        //        x.For<IMappingRepository>().Use<MappingRepository>();
        //        x.For<IMappingService>().Use<MappingService>();
        //        x.For<IRulesCreator>().Use<MappingRulesCreator>();
        //        x.For<IRulesExecutor>().Use<MappingRulesExecutor>();
        //        x.For<IWarehouseLocationRepository>().Use<WarehouseLocationRepository>();
        //    });
        //}

        //public static void RegisterRoutes(RouteCollection routes)
        //{
        //    routes.IgnoreRoute("{resource}.axd/{*pathInfo}");


        //    routes.MapRoute("Mapping",  
        //                    "mapping/{action}", 
        //                     new { controller = "Mapping", action = "Index" });

        //    routes.MapRoute(
        //        "Default", // Route name
        //        "{controller}/{action}/{id}", // URL with parameters
        //        new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
        //    );

        //}

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterGlobalFilters(GlobalFilters.Filters);
            //RegisterRoutes(RouteTable.Routes);
            //InitializeStructureMap(); 
        }
    }
}