﻿/// <reference path="jquery-1.4.4-vsdoc.js" />
/// <reference path="jquery-ui.js" />
/// <reference path="jquery.js" />
/// <reference path="jquery.dataTables.js" />

$(document).ready(function () {
    $('#submit').click(function () {
        $('#searchResults').dataTable({
            "aaSorting" : [[3, "asc"]],
            "bPaginate" : true,
            "sPaginationType" : "full_numbers", 
            "bServerSide": true,
            "sAjaxSource": "Mapping/Searcher",
            "bProcessing": true,
            "aoColumns": [{ "mData": "ItemCode" },
                { "mData": "ItemName" },
                { "mData": "LocationCode" },
                { "mData": "WorkUnitCode" }

            ],
            "fnServerParams": function (aoData) {
                aoData.push({
                    "name": "BOMName",
                    "value": $('#bomName').val()
                })
            }
           

        });

    });

}); 