﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.OleDb;

namespace MWTWorkUnitMgmtTool.DataAccess.TableGatewayRepository
{
    public interface IMappingRepository
    {
        IEnumerable<IDataRecord> GetMappingsByBOM(string itemCode);
        IEnumerable<IDataRecord> GetAllMappings();
        int InsertMapping(string workUnitCode, string locationCode, string itemCode);
        int UpdateMapping(string workUnitCode, string locationCode, string itemCode);
        int DeleteMapping(string workUnitCode, string locationCode, string itemCode);
        IEnumerable<IDataRecord> GetMappingsByID(int id);
        void UploadMappingsToDB(string filePath); 
    }
}
